! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
program checkoutput
use realsame_mod
use dal
use errorhandling

implicit none

type(DataSetT)  :: listDataSet
type(TableT)    :: tableDataSet
type(ColumnT)   :: listColumn
real(kind=single), pointer :: mag(:)
integer i,nrows
logical ok

listDataSet = dataSet("oswlist.fts", read)
tableDataSet = table(listDataSet, "SRCLIST")
listColumn = column(tableDataSet, "MAG",read)
nrows = numberofRows(tableDataSet)
mag => real32Data(listColumn)

ok = .true.

do i = 0,  nrows-1
  if (mag(i) < 0.) ok = .false.
enddo
if (.not.ok) call error("negs","Negative mags")


call release(listDataSet)
end
